// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: ProfileService.proto

package com.entrytask.server.rpc.common.grpc;

public interface queryResponseOrBuilder extends
    // @@protoc_insertion_point(interface_extends:com.entrytask.server.rpc.common.grpc.queryResponse)
    com.google.protobuf.MessageOrBuilder {

  /**
   * <code>string username = 1;</code>
   */
  java.lang.String getUsername();
  /**
   * <code>string username = 1;</code>
   */
  com.google.protobuf.ByteString
      getUsernameBytes();

  /**
   * <code>string nickname = 2;</code>
   */
  java.lang.String getNickname();
  /**
   * <code>string nickname = 2;</code>
   */
  com.google.protobuf.ByteString
      getNicknameBytes();

  /**
   * <code>string picture = 3;</code>
   */
  java.lang.String getPicture();
  /**
   * <code>string picture = 3;</code>
   */
  com.google.protobuf.ByteString
      getPictureBytes();
}
